<?php get_header(); ?>

<div id="post-entry" class="single-column">

<?php do_action( 'bp_before_blog_home' ) ?>

<?php if (have_posts()) : ?>

<?php while (have_posts()) : the_post(); ?>

<div <?php if(function_exists("post_class")) : ?><?php post_class(); ?><?php else: ?>class="post"<?php endif; ?> id="post-<?php the_ID(); ?>">

<h1 class="post-title"><?php the_title(); ?></h1>

<div class="post-author"><?php the_time(get_option('date_format')) ?> <?php _e( 'by', TEMPLATE_DOMAIN ) ?> <?php if( $bp_existed == 'true' ) { ?><?php printf( __( '%s',TEMPLATE_DOMAIN), bp_core_get_userlink( $post->post_author ) ) ?><?php } else { ?> <?php the_author_posts_link(); ?><?php } ?> <?php _e( 'under', TEMPLATE_DOMAIN ) ?> <?php the_category(', ') ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<?php edit_post_link(__('edit', TEMPLATE_DOMAIN)); ?></div>

<?php include( TEMPLATEPATH . '/lib/templates/wp-template/social.php'); ?>

<div class="post-content">
<?php the_content(__('...click here to read more', TEMPLATE_DOMAIN)); ?>
<?php $facebook_like_status = get_option('tn_buddycorp_facebook_like_status'); if ($facebook_like_status == 'enable') { ?>
<div class="fb-like" data-href="<?php echo esc_attr(get_permalink($post->ID)); ?>" data-send="false" data-layout="standard" data-width="450" data-show-faces="false" data-font="arial" style="margin-bottom: 6px;"></div>
<?php } ?>
</div>

<?php if(has_tag()) { ?>
<div class="post-tagged">
<p class="tags">
<?php if(function_exists("the_tags")) : ?>
<?php the_tags(__('tagged in&nbsp;', TEMPLATE_DOMAIN), ', ', ''); ?>
<?php endif; ?>
</p>
</div>
<?php } ?>

</div>

<?php endwhile; ?>

<?php do_action( 'bp_after_blog_home' ) ?>

<?php comments_template('',true); ?>

<?php locate_template( array( 'lib/templates/wp-template/paginate.php'), true ); ?>
<?php else: ?>
<?php locate_template( array( 'lib/templates/wp-template/result.php'), true ); ?>
<?php endif; ?>

</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>